[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.InvalidateCol

Invalidates all cells in the specified column, and causes them to be redrawn.

## Declaration

Source position: grids.pas line 1360

`public procedure TCustomGrid.InvalidateCol(`
`ACol: Integer`
`);`

## Arguments

`ACol` |  | Column number for the cells invalidated in the method.

## Description

InvalidateCol is a method used to refresh all cells in the column number specified in the ACol argument. InvalidateCol gets a TRect instance with the bounds for cells in the specified column number. It calls the InvalidateRect routine in the LCL interface using the Handle for the control and the display rectangle as arguments.

No actions are performed in the method if a Handle has not been allocated in the widgetset class instance for the control.

Remark: | InvalidateCol is not used in the current LCL version. Invalidate is called instead.

## See also

TCustomGrid.Invalidate |  | Performs a request to redraw the control.